Bug 109912 - (FEALNX) fails to detect Ethernet link up
(FEALNX) fails to detect Ethernet link up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-12 16:22 EST by Iosif Fettich
Modified: 2013-07-02 22:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:39:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iosif Fettich 2003-11-12 16:22:43 EST
Description of problem:

When the network init script started, it uses
/etc/sysconfig/network-scripts/network-functions
and specifically check_link_down () to detect live Ethernet cards.

check_link_down relies on mii-tool || ethtool to report about the
status of the card.

As _both_ tests show that the link is down (despite the fact that the
link is actually OK), the card is not activated during a normal
'service network [re]start' or 'ifup eth1'.

But: actually ignoring the result of these tests lets things work like
a charm. The card is fine, the network is fine, the settings are fine,
only the tests seem to be NOT ok.

Version-Release number of selected component (if applicable):
/lib/modules/2.4.22-1.2115.nptl/kernel/drivers/net/fealnx.o

How reproducible:
perfectly

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I see this problem on a PC with two Ethernet cards; eth1 is the 'bad one'.
Comment 1 Iosif Fettich 2003-11-12 16:24:49 EST
Output of lspci -vv:

02:08.0 Ethernet controller: Intel Corp. 82801BA/BAM/CA/CAM Ethernet
Controller (rev 01)
        Subsystem: Intel Corp. EtherExpress PRO/100 VM
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop-
ParErr- Step ping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort - <MAbort- >SERR- <PERR-
        Latency: 32 (2000ns min, 14000ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at feaff000 (32-bit, non-prefetchable) [size=4K]
        Region 1: I/O ports at df00 [size=64]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot +,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-
 
02:0a.0 Ethernet controller: MYSON Technology Inc SURECOM EP-320X-S
100/10M Ethe rnet PCI Adapter
        Subsystem: Surecom Technology: Unknown device 1320
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop-
ParErr- Step ping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort - <MAbort- >SERR- <PERR-
        Latency: 32 (8000ns min, 16000ns max)
        Interrupt: pin A routed to IRQ 3
        Region 0: I/O ports at d800 [size=256]
        Region 1: Memory at feafec00 (32-bit, non-prefetchable) [size=1K]
        Expansion ROM at feae0000 [disabled] [size=64K]
        Capabilities: [88] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2- AuxCurrent=375mA
PME(D0-,D1+,D2-,D3h ot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 

Output of mii-tool:
eth0: no autonegotiation, 10baseT-HD, link ok
  registers for MII PHY 1:
    3100 782d 02a8 0320 05e1 0021 0000 0000
    0000 0000 0000 0000 0000 0000 0000 0000
    2404 0000 0000 0000 0000 0000 0000 0000
    0000 0000 0000 0000 0010 0000 0000 0000
  product info: vendor 00:aa:00, model 50 rev 0
  basic mode:   autonegotiation enabled
  basic status: autonegotiation complete, link ok
  capabilities: 100baseTx-FD 100baseTx-HD 10baseT-FD 10baseT-HD
  advertising:  100baseTx-FD 100baseTx-HD 10baseT-FD 10baseT-HD
flow-control
  link partner: 10baseT-HD
eth1: 10 Mbit, half duplex, no link
  registers for MII PHY 32:
    0000 0000 0000 0000 0000 0000 0000 0000
    0000 0000 0000 0000 0000 0000 0000 0000
    0000 0000 0000 0000 0000 0000 0000 0000
    0000 0000 0000 0000 0000 0000 0000 0000
  product info: vendor 00:00:00, model 0 rev 0
  basic mode:   10 Mbit, half duplex
  basic status: no link
  capabilities:Settings for eth1:
        Supported ports: [ TP MII ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes:  Not reported
        Advertised auto-negotiation: No
        Speed: 10Mb/s
        Duplex: Half
        Port: MII
        PHYAD: 32
        Transceiver: internal
        Auto-negotiation: off
        Current message level: 0x00000000 (0)
        Link detected: no

  advertising:

Output of ethtool:
Settings for eth1:
        Supported ports: [ TP MII ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes:  Not reported
        Advertised auto-negotiation: No
        Speed: 10Mb/s
        Duplex: Half
        Port: MII
        PHYAD: 32
        Transceiver: internal
        Auto-negotiation: off
        Current message level: 0x00000000 (0)
        Link detected: no





Comment 2 David Lawrence 2004-09-29 15:39:44 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.